For the complete documentation index, see llms.txt. This page is also available as Markdown.

Package

Viewing all packages

get

To view all packages:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

No content

get/api/v2/package
GET /api/v2/package HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

No content

Creating a new package

post

To create a new package:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired
titlestringRequired
billingPeriodstringRequired
currencyIdstringRequired
defaultMccIdstringRequired
pricestringRequired
descriptionstringOptional
simPricestringOptional
escapePricestringOptional
unusedRebatePricestringOptional
contractPeriodstringOptional
activationPricestringOptional
terminationPricestringOptional
freeActivationDaystringOptional
freeFirstUseDaystringOptional
testingPricestringOptional
residualContractPricestringOptional
subnetRangeTypestringOptional
packageCategoryIdstringOptional
Responses
200

Successful response

No content

post/api/v2/package
POST /api/v2/package HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 429

{
  "name": "text",
  "title": "text",
  "billingPeriod": "text",
  "currencyId": "text",
  "defaultMccId": "text",
  "price": "text",
  "description": "text",
  "simPrice": "text",
  "escapePrice": "text",
  "unusedRebatePrice": "text",
  "contractPeriod": "text",
  "activationPrice": "text",
  "terminationPrice": "text",
  "freeActivationDay": "text",
  "freeFirstUseDay": "text",
  "testingPrice": "text",
  "residualContractPrice": "text",
  "subnetRangeType": "text",
  "packageCategoryId": "text"
}
200

Successful response

No content

Viewing a specific package

get

To view details for a specific package:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
Responses
200

Successful response

application/json
packageIdintegerOptional
namestringOptional
titlestringOptional
descriptionstringOptional
portalIdanyOptional
currencyIdstringOptional
pricenumberOptional
billingPeriodintegerOptional
simPricenumberOptional
escapePriceintegerOptional
unusedRebatePriceintegerOptional
contractPeriodintegerOptional
activationPricenumberOptional
terminationPricenumberOptional
packageCategoryIdintegerOptional
freeActivationDayintegerOptional
freeFirstUseDayintegerOptional
testingPricenumberOptional
residualContractPricenumberOptional
subnetRangeTypestringOptional
defaultMccIdstringOptional
statusstringOptional
get/api/v2/package/{packageId}
GET /api/v2/package/{packageId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "packageId": 12345,
  "name": "2Gb / Month + SMS",
  "title": "2GbPerMonth",
  "description": "2 Gb / month + SMS, no voice",
  "portalId": null,
  "currencyId": "GBP",
  "price": 16.2,
  "billingPeriod": 1,
  "simPrice": 0.05,
  "escapePrice": 2,
  "unusedRebatePrice": 0,
  "contractPeriod": 36,
  "activationPrice": 1.5,
  "terminationPrice": 1.5,
  "packageCategoryId": 2,
  "freeActivationDay": 2,
  "freeFirstUseDay": 2,
  "testingPrice": 1.5,
  "residualContractPrice": 1.5,
  "subnetRangeType": "SIM4VPN",
  "defaultMccId": "311",
  "status": "active",
  "attributes": [
    {
      "packageAttributeId": 41365,
      "packageId": 12345,
      "attribute": "autoProvision",
      "value": "no",
      "status": "active"
    },
    {
      "packageAttributeId": 61684,
      "packageId": 12345,
      "attribute": "aws",
      "value": "no",
      "status": "active"
    }
  ],
  "portfolios": [
    {
      "packagePortfolioId": 67047,
      "packageId": 12345,
      "portfolioId": "c7e0de5b1d7aaeda2bcfd01dbacfdc83",
      "adminSuspend": "no",
      "customerSuspend": "no",
      "status": "setup"
    },
    {
      "packagePortfolioId": 77210,
      "packageId": 12345,
      "portfolioId": "b18baa00d1ddbdecdfc17ed2f5d7aacd",
      "adminSuspend": "no",
      "customerSuspend": "no",
      "status": "setup"
    }
  ],
  "commsProfile": [
    {
      "commsProfileId": 12345
    }
  ]
}

Deleting a specific package

delete

To delete a specific package:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
Responses
200

Successful response

application/json
PACKAGE_ITEMintegerOptional
delete/api/v2/package/{packageId}
DELETE /api/v2/package/{packageId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "PACKAGE_ITEM": 1
}

Updating a specific package

patch

To update a specific package:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
packageIdstringRequired
Body
namestringOptional
titlestringOptional
billingPeriodstringOptional
currencyIdstringOptional
defaultMccIdstringOptional
pricestringOptional
descriptionstringOptional
simPricestringOptional
escapePricestringOptional
unusedRebatePricestringOptional
contractPeriodstringOptional
activationPricestringOptional
terminationPricestringOptional
freeActivationDaystringOptional
freeFirstUseDaystringOptional
testingPricestringOptional
residualContractPricestringOptional
subnetRangeTypestringOptional
packageCategoryIdstringOptional
statusstringOptional
Responses
200

Successful response

No content

patch/api/v2/package/{packageId}
PATCH /api/v2/package/{packageId} HTTP/1.1
Host: package.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 445

{
  "name": "text",
  "title": "text",
  "billingPeriod": "text",
  "currencyId": "text",
  "defaultMccId": "text",
  "price": "text",
  "description": "text",
  "simPrice": "text",
  "escapePrice": "text",
  "unusedRebatePrice": "text",
  "contractPeriod": "text",
  "activationPrice": "text",
  "terminationPrice": "text",
  "freeActivationDay": "text",
  "freeFirstUseDay": "text",
  "testingPrice": "text",
  "residualContractPrice": "text",
  "subnetRangeType": "text",
  "packageCategoryId": "text",
  "status": "text"
}
200

Successful response

No content

Last updated

Was this helpful?